Bug 211312 - devel/stack: Hangs on build
Summary: devel/stack: Hangs on build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-23 15:31 UTC by freebsd
Modified: 2016-08-26 09:34 UTC (History)
2 users (show)

See Also:
tobik: maintainer-feedback+


Attachments
Build log (14.75 KB, text/plain)
2016-07-23 15:31 UTC, freebsd
no flags Details
stack.diff (595 bytes, patch)
2016-07-23 16:14 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details | Diff
stack.diff (1.23 KB, patch)
2016-07-26 14:43 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2016-07-23 15:31:49 UTC
Created attachment 172895 [details]
Build log

Build hangs after following lines:

> echo "#compdef stack" > _stack.zsh
> echo "autoload -U +X bashcompinit && bashcompinit" >> _stack.zsh
> cat  >> _stack.zsh

Full build log is attached.
Comment 1 Tobias Kortkamp freebsd_committer 2016-07-23 16:14:05 UTC
Created attachment 172898 [details]
stack.diff

Odd... The last line should be cat _stack.bash >> _stack.zsh.  It's obviously the cat that hangs.

What FreeBSD version are you on?

I've attached a patch you could try that might fix this.  Let me know if it works.  Apply with patch -p0 -i stack.diff in /usr/port/devel/stack.
Comment 2 freebsd 2016-07-23 16:51:23 UTC
The patch worked, thanks!

I'm running version 10.3-RELEASE-p4.
Comment 3 Tobias Kortkamp freebsd_committer 2016-07-26 14:43:43 UTC
Created attachment 173001 [details]
stack.diff

Updated patch to also add a missing run dependency on gmake, ca_root_nss, and perl which is required by at least 'stack setup' on newly installed systems with no other packages installed.  This deserves a PORTREVISION bump.

Poudriere testport (FreeBSD 10.3/amd64) ok. portlint ok (ignoring the expected warnings about libutil.so.8 and gmake as run dependency).
Comment 4 Kurt Jaeger freebsd_committer 2016-08-26 06:23:12 UTC
testbuilds@work
Comment 5 commit-hook freebsd_committer 2016-08-26 09:34:00 UTC
A commit references this bug:

Author: pi
Date: Fri Aug 26 09:33:56 UTC 2016
New revision: 420907
URL: https://svnweb.freebsd.org/changeset/ports/420907

Log:
  devel/stack: fix dependencies and hang on build

  PR:		211312
  Reported by:	freebsd@get-experience.com
  Submitted by:	Tobias Kortkamp <t@tobik.me> (maintainer)

Changes:
  head/devel/stack/Makefile
  head/devel/stack/files/
  head/devel/stack/files/patch-Makefile
Comment 6 Kurt Jaeger freebsd_committer 2016-08-26 09:34:06 UTC
Committed, thanks!